Bug 75017 - deprecated syntax used in sendmail examples
deprecated syntax used in sendmail examples
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Johnray Fuller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 15:06 EDT by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 17:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-10-03 15:06:11 EDT
15.3.5 discusses the use of /etc/mail/access to block spam, and gives as an
example access file:

badspammer.com       550 Go away and do not spam us anymore
tux.badspammer.com   OK
10.0                 RELAY

The syntax used for the badspammer.com entry is deprecated.  All numeric code
responses should be preceded by an ERROR keyword.  Similarly, text strings
should be quoted (spaces may or may not be preserved if they aren't quoted).

The preferred (and soon only) syntax is either

badspammer.com       ERROR:550 "Go away and do not spam us anymore"

or, if you want to send a DSN response,

badspammer.com       ERROR:###:550 "Go away and do not spam us anymore"

where ### is the number (taken from RFC 1893) corresponding to the DSN code you
want to send to the sendor.

see ~pg 36 in README.cf for documentation of the deprecation....
Comment 1 Johnray Fuller 2002-10-10 17:46:57 EDT
Thanks for the catch, this will be incorporrated in the next version of the
Reference Guide.

As it stands, however this syntax still works.

I will post an errata, however, noting the deprecation and pointing out that
quotes are important.

Thanks a million!

Johnray
Comment 2 Johnray Fuller 2002-10-18 16:55:12 EDT
I have posted an errata and corrected the HTML version of the document.

Thank you very much for pointing this out.

The next version of this chapter will enhance the syntax for these commands.

Thanks again.
Johnray

Note You need to log in before you can comment on or make changes to this bug.